import Vue from 'vue'
import App from './App.vue'
import router from './router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/styles/index.scss'
import { initDynamicRoutes } from './utils/createRoutes'
import {setCookie} from "@/utils/service/cookie";

var axios = require('axios')
// axios.defaults.baseURL = 'http://47.101.207.123:8080/gateway-server'
axios.defaults.baseURL = 'https://geodatasvr.cn.smism.com/gateway-server'
axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded'
axios.interceptors.response.use(
  response => {
    return response.data
  },
  error => {
    return Promise.reject(error)
  }
)

Vue.config.productionTip = false
Vue.use(ElementUI, {size: 'mini'})

// setCookie("m_token","eyJhbGciOiJIUzI1NiJ9.eyJqdGkiOiIxIiwiaXNzIjoieXlqLXRlc3Qtand0Iiwic3ViIjoie1wicm9sZVwiOlwiMSwyLDExLDEyLDEzLDE0LDE1LDE2XCIsXCJ1bml0TmFtZVwiOlwi5LiK5rW35biC5rWL57uY6ZmiXCIsXCJjb250YWN0XCI6XCIxMjNcIixcIm5hbWVcIjpcIui2hee6p-euoeeQhuWRmFwiLFwidW5pdElkXCI6MSxcInRlbGVwaG9uZVwiOlwiMjIyMlwiLFwidXNlck5hbWVcIjpcInN1cGVyXCIsXCJ1c2VySWRcIjoxLFwiZW1haWxcIjpcInNjZzYyMjhAMTYzLmNvbVwifSIsImlhdCI6MTY2MDU1NzI1NywiZXhwIjoxNjYwNjQzNjU3fQ.AgtftcCzv85PTlqYPhPH0QaC5bpbty9YVfqgC_o0sn8")

initDynamicRoutes()

new Vue({
  render: h => h(App),
  router,
}).$mount('#app')
