import router, {defaultRoutes, resetRouter} from '../router'
import {getCookie, setCookie} from "./service/cookie";
import {GetUserAuthority} from "./service/jwt";

// 生成返回的用户权限页面的路由名称组成的数组
function initauthorityNameArr(authority,retArr) {
  for (let i = authority.length - 1; i>=0; i--) {
    retArr.push(authority[i].routeName)
    if (authority[i].children && authority[i].children.length!=0) {
      initauthorityNameArr(authority[i].children,retArr)
    }
  }
  return retArr
}

// 生成用户权限对应路由
function selectRoutes(routes, names) {
  for (let i = routes.length - 1; i>=0; i--) {
    let isExist = false
    for (let j=0;j<names.length;j++) {
      if (routes[i].name == names[j]) {
        isExist = true
        if (routes[i].children != null) {
          routes[i].children = selectRoutes(routes[i].children,names)
        }
        break
      }
    }
    if (!isExist) {
      routes.splice(i,1)
    }
  }
  return routes
}

const initDynamicRoutesFunc = () => {
  let [...defRoutes] = defaultRoutes
  let authorityNameArr = initauthorityNameArr(JSON.parse(localStorage.getItem('authority'))[0].children,[])
  let selectedRoutes = selectRoutes(defRoutes[0].children, authorityNameArr.length>0? authorityNameArr: ["Home"]) // 权限为空时默认加入首页
  defRoutes[0].children = selectedRoutes
  resetRouter()
  router.options.routes = defRoutes
  router.addRoutes(defRoutes)
  console.log('router:',router)
}

export const initDynamicRoutes = () => {
  if(!localStorage.getItem('authority') || localStorage.getItem('authority')==='') {
    GetUserAuthority().then(res => {
      if(res.code == 200) {
        let auth = res.data.authority.filter(i => {
          return i.authorityName === '用户认证管理'
        })
        localStorage.setItem('authority',JSON.stringify(auth))
        initDynamicRoutesFunc()
        router.push({path: '/'})
      }
    })
  }else {
    initDynamicRoutesFunc()
  }
  
}
