import axios from "axios"
import qs from "qs"
import {getCookie} from '../service/cookie'

export function GetRoleList(pageSize, pageIndex, roleName, roleType) {
  let data = {pageSize, pageIndex}
  if(roleName) { data = { ...data, roleName } }
  if(roleType != "all") { data = { ...data, roleType} }
  return axios.post('/role/getRoleList', qs.stringify(data))
}

export function GetAuthorityList() {
  return axios.get('/role/getAuthorityList')
}

export function GetRoleDetail(roleId) {
  let data = { roleId }
  return axios.post('/role/getRoleDetail', qs.stringify(data))
}

export function UpdateRoleAuthority(roleId, authorityArr) {
  let data = {
    roleId,
    authorityArr: JSON.stringify(authorityArr),
    token: getCookie("m_token")
  }
  return axios.post('role/updateRoleAuthority', qs.stringify(data))
}

export function AddRole(roleName, authorityArr) {
  let data = {
    roleName,
    roleDes: roleName,
    authorityArr: JSON.stringify(authorityArr),
    token: getCookie("m_token")
  }
  return axios.post('role/addRole', qs.stringify(data))
}

export function DeleteRole(roleId) {
  let data = { roleId, token: getCookie("m_token") }
  return axios.post('role/deleteRole', qs.stringify(data))
}
