import axios from "axios"
import qs from "qs"
import {getCookie} from '../service/cookie'

export function GetDepartmentUser() {
  return axios.post('/user/getDepartmentUser')
}

export function GetDepartmentTree() {
  return axios.post('/user/getDepartmentTree')
}

export function GetUserList(pageSize, pageIndex, formInLine) {
  let data = {
    pageSize,
    pageIndex,
    departmentId: formInLine.departmentId
  }
  if(formInLine.lastName != '') { data = { ...data, lastName: formInLine.lastName } }
  if(formInLine.userName != '') { data = { ...data, userName: formInLine.userName } }
  return axios.post('/user/getUserList', qs.stringify(data))
}

export function GetUserInfoById(userId) {
  let data = { userId }
  return axios.post('/user/getUserInfoById', qs.stringify(data))
}

export function UpdateUserRole(formInLine) {
  let data = {
    // contact: formInLine.contact,
    // name: formInLine.name,
    roleArr: JSON.stringify(formInLine.roleArr),
    // unitId: formInLine.unitId,
    userId: formInLine.userId,
  }
  return axios.post('user/updateUserRole', qs.stringify(data))
}

export function AddUser(formInLine) {
  let data = {
    token: getCookie("m_token"),
    contact: formInLine.contact,
    name: formInLine.name,
    roleArr: JSON.stringify(formInLine.roleArr),
    unitId: formInLine.unitId,
    userId: formInLine.userId,
    userName: formInLine.userName
  }
  return axios.post('user/addUser', qs.stringify(data))
}

export function DeleteUser(userId) {
  let data = {
    token: getCookie("m_token"),
    userId
  }
  return axios.post('user/deleteUser', qs.stringify(data))
}

export function ResetPassword(userId) {
  let data = {
    token: getCookie("m_token"),
    userId
  }
  return axios.post('user/resetPassword', qs.stringify(data))
}
